Re: [R] Re: Installing R on Mandrake 10.1

From: Michael Bibo <mbibo_at_qldnet.com.au>
Date: Thu 17 Mar 2005 - 22:46:00 EST

Christian <christianmacaro <at> gmail.com> writes:

>
> Dear all.
>
> First of all, thanks to Jon, Martin, Bogdan and Roland since they tried
> to help me.
>
> In order I tried to
> 1) install the libf2c0-3.4.1-4mdk.i586.rpm.
> 2) install R 2.0.1 from the source.
>
> 1) Didn't work, since the "info" is still not satisfied
> 2) I wasn't able to configure it. I mean:
>
> a) as root I uzipped the archive in the home/krisse directory
> b) ./configure in the home/krisse/R-2.0.1 directory
> the resulting message was that neither a fortran compiler nor f2c was found.
>
> Then I looked for a fortran compiler........
> What I have understood is that a fortran compiler is already included in
> the gcc3.4.1-4mdk (already installed).
> Is that correct?
> In the /usr/bin directory there are g++ an similar things but none of
> the g77, f77, xlf, frt, pgf77, fl32, af77, fort77, f90, xlf90, pgf90,
> epcf90, f95, fort, xlf95, lf95, g95, and fc.

<snip>

Christian,

I have been using R with Mandrake since about mdk 9.2. Like you, I really don't consider myself any sort of Linux expert - I rely more on the gui-based tools.  At first I used the R rpm's from CRAN (thanks to those who provided them). In more recent times I have installed from source in order to remain up to date with both Mandrake and R, and to benefit from a slight performance improvement.  I am currently running R 2.0.1 patched under Mandrake 10.1 Official.

All of the dependencies were available on my Mandrake 10.1 Official DVD, and installed using urpmi, via the 'software management' gui in the Mandrake Control Centre. This gui enables you to browse all the software packages available on the installation CDs/DVD - by category or through searching for keywords in the package descriptions. You can also browse available packages on other online repositories if you choose to set those up - see http://easyurpmi.zarb.org/. Urpmi, through the gui, does a reasonable job of finding dependencies of dependencies, although I admit it is certainly not perfect.

The suggestion has already been made to install Latex related packages. One way to do this is to choose Lyx for installation, and all the dependencies should be taken care of. At least it works for me.

When I browse my installed software for 'fortran' in package descriptions, I get the following list of installed packages:

gcc-3.4.1-4mdk
gcc-g77-3.4.1-4mdk
gdb-6.2-2mdk

libf2c0-3.4.1-4mdk
liblapack3-3.0-11mdk

These should all be available from your installation media (assuming a DVD or a complete set of CDs (4, I think)).

When installing R from source, however, I did have a couple of issues, which were solved through searching the archives. But to possibly save you the time:

make sure both 'libreadline' and 'libreadline-devel' are installed (again, simply search for 'libreadline in the package descriptions) - this is so that your keyboard arrow keys work to access previous commands.

make sure both 'xorg-x11-100dpi-' and 'xorg-x11-75dpi-fonts' are installed (search:"fonts") - this enables all fonts to display properly, eg when using Rcmdr (which, by the way is a great learning tool).

My belated thanks to those who originally posted these hints.

Hope this helps,

Michael Bibo
Queensland Health
michael_bibo@health.qld.gov.au



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Thu Mar 17 22:53:00 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:30:50 EST